Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.p13n.pagination
Enum FilterMethod

    java.lang.Object
      java.lang.Enum<FilterMethod>
          com.bea.p13n.pagination.FilterMethod

All Implemented Interfaces
  Serializable, Comparable<FilterMethod>

    public enum FilterMethod

extends Enum<FilterMethod>

Filter method used by FilterablePagedResult. There are many things you might think of which are not expressed here, however most of them probably have another way to be used. For example, we could have chosen to expose dozens of filter methods which apply only to Date-type date - such as MONTH_EQUALS, MONTH_NOT_EQUALS, YEAR_EQUALS, YEAR_GREATER_THAN, etc. But instead, we have kept the methods to the most basic set which can be applied to strings and numbers.

For example, if you have a Date type, and want to support filtering such as "where the year is greater than x", then consider exposing the year as a numeric property (rather than just the date as a string).

If you want to support case-insensitive filtering of string properties, consider exposing these as special versions of some properties: i.e. FIRST_NAME and FIRST_NAME_IGNORING_CASE.

Another option might be to provide the base refilter method which has some default behavior, and adding a special "refilterIgnoringCase" method, or adding a "dateGranularity" parameter to an overloaded refilter method.

Or, you may have such specific needs that it will make more sense to return non-filterable PagedResults from various custom query or search methods.

The exact choice will depend on the details of the underlying system as well as the intended use of the PagedResult.

See Also
  `FilterablePagedResult`

Enum Constant Summary
`BEGINS_WITH` Results which begin with the filter string.
`CONTAINS` Results which contain the filter string.
`CUSTOM` Results which match in some implementation-specific way.
`ENDS_WITH` Results which end with the filter string.
`EQUALS` Results which are equal to the filter string.
`GREATER_THAN` Results which are greater than the filter string value.
`LESS_THAN` Results which are less than the filter string value.
`NOT_CONTAINS` Opposite of CONTAINS
`NOT_EQUALS` Opposite of EQUALS
`UNFILTERED` Indicates that the result is not filtered

Method Summary
`static FilterMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FilterMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNFILTERED

    public static final FilterMethod UNFILTERED

  Indicates that the result is not filtered

### EQUALS

    public static final FilterMethod EQUALS

  Results which are equal to the filter string. The semantics of equality are up to the implementation depending on the data type of the filtered property, but should adhere to standard, expected, definitions.

### NOT_EQUALS

    public static final FilterMethod NOT_EQUALS

  Opposite of EQUALS

### CONTAINS

    public static final FilterMethod CONTAINS

  Results which contain the filter string. Generally, this will apply to string type properties (not numbers), as in String.contains(filterString).

### NOT_CONTAINS

    public static final FilterMethod NOT_CONTAINS

  Opposite of CONTAINS

### BEGINS_WITH

    public static final FilterMethod BEGINS_WITH

  Results which begin with the filter string. Generally, this will apply to string type properties, as in String.beginsWith(filterString).

### ENDS_WITH

    public static final FilterMethod ENDS_WITH

  Results which end with the filter string. Generally, this will apply to string type properties, as in String.endsWith(filterString).

### LESS_THAN

    public static final FilterMethod LESS_THAN

  Results which are less than the filter string value. This may apply to numerical values or strings (in a lexical sense), or other data types where it makes some sense.

### GREATER_THAN

    public static final FilterMethod GREATER_THAN

  Results which are greater than the filter string value. This may apply to numerical values or strings (in a lexical sense), or other data types where it makes some sense.

### CUSTOM

    public static final FilterMethod CUSTOM

  Results which match in some implementation-specific way. This might include an expression in the filter string or some other unknown technique. This should probably never be used, but is provided as a sort of safety valve.

Method Detail

### values

    public static final FilterMethod[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static FilterMethod valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.